%define	major 0
%define libname %mklibname xpdf %{major}
%define develname %mklibname xpdf -d

%define urwdir %{_datadir}/fonts/default/Type1
%define x11dir		/usr/X11R6

Summary:	A PDF file viewer for the X Window System
Name:		xpdf
Version:	3.04
Release:	%mkrel 5
License:	GPLv2+
Source:		ftp://ftp.foolabs.com/pub/xpdf/%{name}-%{version}.tar.gz
Source1:	icons-%{name}.tar.bz2
Source2:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-chinese-simplified.tar.gz
Source3:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-chinese-traditional.tar.gz
Source4:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-cyrillic.tar.gz
Source5:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-japanese.tar.gz
Source6:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-korean.tar.gz
Source7:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-thai.tar.gz
Source8:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-greek.tar.gz
Source9:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-latin2.tar.gz
Source10:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-turkish.tar.gz
Source11:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-hebrew.tar.gz
Source12:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-arabic.tar.gz

Patch2:		%{name}-3.04-antihigh.patch
Patch6:		%{name}-2.03-zoom.patch
#
Patch16:	%{name}-3.04-chinese.patch
Patch17:	%{name}-3.04-CAN-2005-0206.patch
Patch19:	%{name}-3.01-core.patch
Patch20:	%{name}-3.04-crash.patch
Patch21:	%{name}-3.01-xfont.patch
#
URL:		http://www.foolabs.com/xpdf/
Group:		Publishing
BuildRequires:	libx11-devel
BuildRequires:	libxt-devel
BuildRequires:	xpm-devel
BuildRequires:	freetype2-devel >= 2.0.5
BuildRequires:	zlib-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxft-devel
BuildConflicts:	libpaper-devel
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	png-devel
BuildRequires:	lesstif-devel
Requires:	urw-fonts
# Lesstif user interface requires these
Requires:	x11-font-adobe-75dpi
Requires:	x11-font-adobe-100dpi
Requires:	%{name}-common >= %{version}-%{release}

%description
Xpdf is an X Window System based viewer for Portable Document Format (PDF)
files. PDF files are sometimes called Acrobat files, after Adobe Acrobat
(Adobe's PDF viewer).  Xpdf is a small and efficient program which uses
standard X fonts.

%package	common
Group:		Publishing
Summary:	Common files for xpdf and the applications based on it
Conflicts:	xpdf < 3.02-7

%description	common
Xpdf is an X Window System based viewer for Portable Document Format (PDF)
files. PDF files are sometimes called Acrobat files, after Adobe Acrobat
(Adobe's PDF viewer).  Xpdf is a small and efficient program which uses
standard X fonts.

This package contains common files (such as UnicodeMap and xpdfrc) needed for
xpdf and the applications based on it.

%prep

%setup -q -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -n %{name}-%{version}
%patch2 -p1 -b .antihigh
%patch6 -p1 -b .zoom
%patch16 -p1 -b .chinese
%patch17 -p1 -b .CAN-2005-0206
%patch19 -p1 -b .core
%patch20 -p1 -b .crash
%patch21 -p1 -b .xfont

%build
CURRENTDIR=`pwd`

# build xpdf
export X_EXTRA_LIBS="-lXft -lXrender -lfontconfig -lz -lfreetype"
autoconf
%configure2_5x \
	   --bindir=%{_bindir} \
	   --mandir=%{_mandir} \
	   --with-freetype2-includes=%{_includedir}/freetype2 \
	   --enable-opi 
%make

pushd doc
perl -pi -e 's|netscape|mozilla|g' xpdf.1 xpdf.cat xpdfrc.cat xpdfrc.5
perl -pi -e 's@/usr/local/etc/@%{_sysconfdir}/@' *.1 *.5 *.cat sample-xpdfrc
perl -pi -e 's@/usr/local/share/ghostscript/fonts@%{urwdir}@' sample-xpdfrc *.cat *.5
for i in chinese-simplified chinese-traditional cyrillic japanese \
	korean thai greek latin2 turkish hebrew arabic; \
	do
		perl -pi -e 's@/usr/local/share/xpdf@%{_datadir}/xpdf@' \
			../xpdf-$i/add-to-xpdfrc \
			../xpdf-$i/README
		echo >> sample-xpdfrc
		cat ../xpdf-$i/add-to-xpdfrc >> sample-xpdfrc
		rm ../xpdf-$i/add-to-xpdfrc 
	done
# Xpdf no longer supports X fonts
perl -pi -e 's/^#urlCommand.*/urlCommand "www-browser %s"/' sample-xpdfrc
popd

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

%makeinstall_std

for i in chinese-simplified chinese-traditional cyrillic japanese \
	korean thai greek latin2 turkish hebrew arabic; \
	do
		mkdir -p %{buildroot}%{_datadir}/%{name}/$i
		cp -a xpdf-$i/* %{buildroot}%{_datadir}/%{name}/$i/
	done

install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xpdf
Comment=Views PDF files
Exec=%{_bindir}/%{name} %f
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
MimeType=text/pdf;text/x-pdf;application/pdf;application/x-pdf;
Categories=Office;Viewer;
EOF

# mdk icons
install -d %{buildroot}%{_iconsdir}
tar xjf %{SOURCE1} -C %{buildroot}%{_iconsdir}

# remove unpackaged files
rm -f %{buildroot}%{_bindir}/pdf* %{buildroot}%{_mandir}/man1/pdf*

%files
%{_bindir}/xpdf
%{_mandir}/man1/xpdf.1*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*.*
%{_liconsdir}/*.*
%{_miconsdir}/*.*

%files common
%{_datadir}/%{name}
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/xpdfrc


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 3.04-5.mga6
+ Revision: 930062
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.04-4.mga5
+ Revision: 747323
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.04-3.mga5
+ Revision: 690747
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 luigiwalser <luigiwalser> 3.04-2.mga5
+ Revision: 666220
- remove old MandrivaLinux category from desktop menu entry file

* Fri Jun 06 2014 luigiwalser <luigiwalser> 3.04-1.mga5
+ Revision: 633903
- 3.04
- remove conditional bundled freetype2 and lesstif
  (remove patch 9)
- update language packs
- rediff patches 2, 16, and 17
- remove no longer needed patch 18
- update patch 20 (from fedora)
- remove upstream patches 27 and 29
- do not build shared library, obsoleted by poppler
  (remove patches 0 and 28)
- fix perl substitutions in spec to change correct files

* Sat Oct 19 2013 umeabot <umeabot> 3.03-6.mga4
+ Revision: 532659
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 luigiwalser <luigiwalser> 3.03-5.mga4
+ Revision: 469194
- add patch from mancha to fix CVE-2012-2142 (rhbz#789936)

* Mon Jan 14 2013 umeabot <umeabot> 3.03-4.mga3
+ Revision: 387298
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 3.03-3.mga3
+ Revision: 310407
- update RPM group

* Mon Feb 20 2012 fwang <fwang> 3.03-2.mga2
+ Revision: 211165
- correct link order
- fi xlink order

  + dmorgan <dmorgan>
    - Do not package .la files

* Mon Feb 20 2012 luigiwalser <luigiwalser> 3.03-1.mga2
+ Revision: 211157
- fix BuildRequires
- fix another changed command in xpdfrc
- remove redundant command from spec
- do not force default paper size
- remove obsolete configure options
- versionate provides
- update chinese patch for changed xpdf command
- fix rediffed patch 0
- add patch 27 to fix compile error due to missing cast
- rediff patches and remove upstreamed ones

  + fwang <fwang>
    - tighen br

  + tv <tv>
    - new release

  + anaselli <anaselli>
    - Fixes bug #2263 - missing file aconf.h

* Wed Jul 06 2011 dams <dams> 3.02pl6-1.mga2
+ Revision: 119433
- update to 3.02pl6
- disable t1lib

* Tue May 17 2011 dmorgan <dmorgan> 3.02-17.mga1
+ Revision: 99413
- imported package xpdf


* Tue May 11 2010 Oden Eriksson <oeriksson@mandriva.com> 3.02-17mdv2010.1
+ Revision: 544475
- provide shared libs

* Tue Oct 20 2009 Oden Eriksson <oeriksson@mandriva.com> 3.02-16mdv2010.0
+ Revision: 458393
- P25: security fixes for CVE-2009-3603,3604,3605,3606,3608,3609

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 3.02-15mdv2010.0
+ Revision: 446263
- rebuild

* Sun Apr 19 2009 Frederik Himpe <fhimpe@mandriva.org> 3.02-14mdv2009.1
+ Revision: 368008
- Switch patch23 to official 3.02pl2 patch, which fixes the same security
  problems
- Add rediffed 3.02pl3.patch to fix CVE-2009-0195

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 3.02-13mdv2009.1
+ Revision: 366741
- drop autoconf
- rediff crash patch
- rediff ppm patch

  + Michael Scherer <misc@mandriva.org>
    - fix patch3

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 3.02-12mdv2009.0
+ Revision: 266146
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 3.02-11mdv2009.0
+ Revision: 216393
- updaet default chinese font name

* Wed Mar 19 2008 Frederic Crozat <fcrozat@mandriva.com> 3.02-10mdv2008.1
+ Revision: 188830
- Kill xpdf-tools, now provided by poppler package

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 3.02-9mdv2008.1
+ Revision: 120527
- fix CVE 2007 4352,5392,5393.

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires X11-devel instead of XFree86-devel

* Fri Sep 14 2007 Funda Wang <fwang@mandriva.org> 3.02-8mdv2008.0
+ Revision: 85615
- fix conflicts version

* Thu Sep 13 2007 Funda Wang <fwang@mandriva.org> 3.02-7mdv2008.0
+ Revision: 85219
- split out unicodemap and xpdfrc so that other packages such as kpdf could suggest it

* Wed Sep 12 2007 Funda Wang <fwang@mandriva.org> 3.02-6mdv2008.0
+ Revision: 84631
- fix bug#17626

* Tue Sep 11 2007 Paulo Andrade <pcpa@mandriva.com.br> 3.02-5mdv2008.0
+ Revision: 84434
- Add Requires to user interface required fonts.

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sun Aug 12 2007 Pixel <pixel@mandriva.com> 3.02-4mdv2008.0
+ Revision: 62246
- fix .desktop so that firefox correctly calls xpdf (#28720)

* Wed Aug 01 2007 Funda Wang <fwang@mandriva.org> 3.02-3mdv2008.0
+ Revision: 57555
- Add patch to fix CVE-2007-3387

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 3.02-2mdv2008.0
+ Revision: 48237
- autoconf-2.5x is no more
- rebuild with new rpm-mandriva-setup package (-fstack-protector)


* Sat Mar 10 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.02-1mdv2007.1
+ Revision: 140528
- Reworked Patch3 (mozilla)
- Reworked Patch17 (can-2005-0206).
- Removed Patch25 (pl2), merged upstream.
- Removed Patch26 (noftinternal), merged upstream.
- Removed Patch27 (cve-2007-0104), mainstream 3.02 code modified to include the same features.

* Sun Feb 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.01pl2-5mdv2007.1
+ Revision: 122239
- Added Patch27 from Stew Benedict, security fix for CVE-2007-0104
  (close bug #28263).

* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 3.01pl2-4mdv2007.1
+ Revision: 104770
- Import xpdf

* Sat Jan 06 2007 Gtz Waschk <waschk@mandriva.org> 3.01pl2-4mdv2007.1
- unpack patches

* Wed Jun 21 2006 Frederic Crozat <fcrozat@mandriva.com> 3.01pl2-3mdv2007.0
- Add conflicts to ease upgrade
- Patch26 (David Turner): don't use freetype internals

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 3.01pl2-2mdk
- split out the command line tools

* Sat Feb 11 2006 Giuseppe Ghib <ghibo@mandriva.com> 3.01pl2-1mdk
- Removed Patch22,23,24 (merged into 3.01pl2 Patch25).

* Wed Feb 01 2006 Stew Benedict <sbenedict@mandriva.com> 3.01-1.2.20060mdk
- P24: security fix for CVE-2006-0301

* Tue Jan 03 2006 Stew Benedict <sbenedict@mandriva.com> 3.01-1.1.20060mdk
- security update for CVE-2005-3191,3192,3193 (P22)                                                         
- additional overflow issues discovered by Chris Evans (P23)                                                
  (CVE-2005-3624,3625,3626,3627)

* Thu Aug 25 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.01-1mdk
- Release 3.01.
- Rebuilt Patch2.
- Removed Patch7, Patch12, Patch13, Patch14, Patch19, Patch21 (merged upstream).
- Removed Patch15, Patch20, Patch22.
- Rebuilt Patch10.
- Added Patch19 (core), Patch20 (crash), Patch21 (xfont) merged from RH.

* Thu Aug 25 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.00pl3-9mdk
- Added Patches from Funda Wang (Patch21, Patch22) for bug #17308.

* Wed Aug 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.00pl3-8mdk
- Fix crash on x86_64
- Add patch20: fix compile on x86_64

* Thu Aug 04 2005 Giuseppe Ghib <ghibo@mandriva.com> 3.00pl3-7mdk
- Added Patch18 for gcc 4.0.1.

* Sun Apr 03 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.00pl3-6mdk
- Fix bug #14236.

* Wed Mar 16 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.00pl3-5mdk
- Added Source14 (for fixing bug #12209).

* Thu Mar 10 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.00pl3-4mdk
- Added Patch17 for CAN-2005-0206 (from Stew's updates).

* Wed Mar 09 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.00pl3-3mdk
- Added entry for Chinese Traditional and Simplified (fix bug #14236).

* Mon Feb 14 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.00pl3-2mdk
- Added Patch15 for MDKSA-2005:017 (CAN-2005-0064).

* Wed Jan 19 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.00pl3-1mdk
- Added pl1,pl2,pl3 patches.

* Wed Jan 19 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.00-9mdk
- use www-browser in urlCommand

* Tue Jan 11 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.00-8mdk
- Rebuild for t1lib
- remove redondant requires

* Tue Jul 20 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.00-7mdk
- Rebuilt.

* Fri Jun 04 2004 Laurent Montel <lmontel@mandrakesoft.com> 3.00-6mdk
- Rebuild against new gcc

